Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface MessageProbeC

All Known Subinterfaces:
  ActiveGraphC, ActiveOutFileC, AveragerC, EntropyC

All Known Implementing Classes:
  MessageProbeCImpl, ActiveGraphCImpl, ActiveOutFileCImpl, EntropyCImpl, AveragerCImpl

public interface MessageProbeC
extends ProbeC, ProbeS

A class that allows the user to call a given message on any candidate that is an instance of, or inherits from, a given class.. This is a specialized subclass of the abstract class Probe. It completes the specification of a probe that refers to a message element of an object.

Method Summary
`java.lang.Object` | `create$setProbedSelector(Zone aZone, Selector aSel)` Convenience factory method for common case.
`java.lang.Object` | `setProbedMethodName(java.lang.String methodName)` The setProbedMessage: method sets the message to be probed given the message name.
`java.lang.Object` | `setProbedSelector(Selector aSel)` The setProbedSelector: method sets the message to be probed given the selector.

Methods inherited from interface swarm.objectbase.ProbeC
`setProbedClass, setProbedObject`

Methods inherited from interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### setProbedSelector

    public java.lang.Object setProbedSelector(Selector aSel)

  The setProbedSelector: method sets the message to be probed given the selector.

### setProbedMethodName

    public java.lang.Object setProbedMethodName(java.lang.String methodName)

  The setProbedMessage: method sets the message to be probed given the message name. In dynamically-typed languages like JavaScript selectors don't make sense, since method argument types aren't fixed.

### create$setProbedSelector

    public java.lang.Object create$setProbedSelector(Zone aZone,
                                                     Selector aSel)

  Convenience factory method for common case.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD